var id_bg, ctx_bg; 
var id_hour, ctx_hour; 
var id_minute, ctx_minute; 
var id_second, ctx_second;
var temp_hour;

function init() {
  id_bg = document.getElementById("bg");
  ctx_bg = id_bg.getContext("2d");
  id_hour = document.getElementById("hour");
  ctx_hour = id_hour.getContext("2d");
  id_minute = document.getElementById("minute");
  ctx_minute = id_minute.getContext("2d");
  id_second = document.getElementById("second");
  ctx_second = id_second.getContext("2d");
  id_weather = document.getElementById("weather");
  
  //　短針
  ctx_hour.beginPath();
  ctx_hour.lineWidth = 3;
  ctx_hour.lineCap = "round";
  ctx_hour.strokeStyle = "silver";
  ctx_hour.fillStyle = "rgba(0,0,0,0.2)";
  ctx_hour.moveTo(320+15, 340);
  ctx_hour.lineTo(320+15, 140);
  ctx_hour.arc(320, 140, 15, 0,　Math.PI, true);
  ctx_hour.lineTo(320-15, 340);
  ctx_hour.arc(320, 340, 15, Math.PI, 0, true);
  ctx_hour.stroke();
  ctx_hour.fill();
  //　長針
  ctx_minute.beginPath();
  ctx_minute.lineWidth = 3;
  ctx_minute.lineCap = "round"
  ctx_minute.strokeStyle = "silver";
  ctx_minute.fillStyle = "rgba(0,0,0,0.2)";
	ctx_minute.moveTo(320+10, 340);
	ctx_minute.lineTo(320+10, 40);
	ctx_minute.arc(320, 40, 10, 0,　Math.PI, true);
	ctx_minute.lineTo(320-10, 340);
	ctx_minute.arc(320, 340, 10, Math.PI, 0, true);
	ctx_minute.stroke();
	ctx_minute.fill();
	//　秒針
	ctx_second.beginPath();
	ctx_second.lineWidth = 3;
	ctx_second.strokeStyle = "red";
	ctx_second.moveTo(320, 340);
	ctx_second.lineTo(320, 30);
	ctx_second.stroke();
	ctx_second.beginPath();
	ctx_second.fillStyle = "red";
	ctx_second.arc(320, 320, 5, 0, 2 * Math.PI, false);
	ctx_second.fill();
    
	// 文字盤
	ctx_bg.beginPath();
	var grad  = ctx_bg.createRadialGradient(320,320,0,320,320,300);
	grad.addColorStop(0,"rgba(255,255,255,0)");
	grad.addColorStop(0.2,"rgba(255,255,255,0)");
	grad.addColorStop(1,"rgba(0,0,0,0.5)");
	ctx_bg.fillStyle = grad;
	ctx_bg.arc(320, 320, 300, 0, 2 * Math.PI, false);
	ctx_bg.fill();
    
	//　目盛り＆数字
	var cha = new Array("丑","寅","卯","辰","巳","午","未","申","酉","戌","亥","子");
	for(i=1; i<=60; i++){
		ctx_bg.beginPath();
		ctx_bg.strokeStyle = "white";
		if(i%5 == 0){
			ctx_bg.lineWidth = 10;
			ctx_bg.moveTo(320+ 250*Math.cos(i*Math.PI/30), 320+ 250*Math.sin(i*Math.PI/30));
			ctx_bg.fillStyle = "white";
			ctx_bg.font = "bold 48px HiraMinProN-W6";
			ctx_bg.textAlign = "center";
			ctx_bg.fillText(cha[i/5-1], 320+ 215*Math.sin(i*Math.PI/30), 338- 215*Math.cos(i*Math.PI/30));
		}else{
			ctx_bg.lineWidth = 3;
			ctx_bg.moveTo(320+ 270*Math.cos(i*Math.PI/30), 320+ 270*Math.sin(i*Math.PI/30));
		}
		ctx_bg.lineTo(320+ 290*Math.cos(i*Math.PI/30), 320+ 290*Math.sin(i*Math.PI/30));
		ctx_bg.stroke();
	}
  
	// 天気
	var bg_width = 75;
  var bg_height = 75;
    var bg_pos = 150;
	for(i=0; i<12; i++){
	  var element = document.createElement('div');
		element.id = "w_" + i;
		element.className = "weather_bg";
	  element.style.width = bg_width + "px";
	  element.style.height = bg_height + "px";
	  element.style.left = (320+ bg_pos*Math.sin((i*5+2.5)*Math.PI/30) - bg_height/2) + "px";
	  element.style.top = (320- bg_pos*Math.cos((i*5+2.5)*Math.PI/30) - bg_width/2 +20) + "px";
    
    
    
    id_weather.appendChild(element);
  }
  
  
  
  setWeather();
  setTime();
}

function setTime() {
  get_date = new Date();
  cr_hours = get_date.getHours();
  cr_minutes = get_date.getMinutes();
  cr_seconds = get_date.getSeconds();
  
  h_angle = cr_hours*30 + cr_minutes/60*30;
  id_hour.style.webkitTransform = "rotate(" + h_angle + "deg)";
  m_angle = cr_minutes*6 + cr_seconds/60*6;
  id_minute.style.webkitTransform = "rotate(" + m_angle + "deg)";
  s_angle = cr_seconds*6;
  id_second.style.webkitTransform = "rotate(" + s_angle + "deg)";
  
  if( temp_hour != cr_hours){
    setWeather();
  }
  
  setTimeout("setTime()",1000);
}

var url0, url1;
var url_flag0 = url_flag1 = 0;
var url0, url1;
function setWeather() {
	var url = "http://www.accuweather.com/ja/jp/fukagawa-edokawacho/221223/hourly-weather-forecast/221223?hour=";
  date = new Date();
  hours0 = date.getHours();
  temp_hour = hours0;
  url0 = url + hours0;
  url1 = url + (hours0+8);
  var iframe0 = document.getElementById("accuweather0");
  var iframe1 = document.getElementById("accuweather1");
  iframe0.src = url0; url_flag0 = 1;
  iframe1.src = url1; url_flag1 = 1;
}

function url0_onload() {
  if(url_flag0 == 1){
    var date = new Date();
    var hours = date.getHours();
    var doc_frame0 = document.getElementById("accuweather0").contentDocument;
    var id_detail_hourly = doc_frame0.getElementById("detail-hourly");
    var tag_div = findChild(id_detail_hourly,"DIV");
    var tag_table = findChild(tag_div,"TABLE");
    var tag_tbody = findChild(tag_table,"TBODY");
    var tag_tr = tag_tbody.getElementsByTagName("tr");
    var tag_td = tag_tr[0].getElementsByTagName("td");
    for(i=0; i<8; i++){
      var forecast_div = findChild(tag_td[i],"DIV");
      var bg_image = getComputedStyle(forecast_div, null).getPropertyValue('background-image');
      bg_image = bg_image.substring(0,bg_image.lastIndexOf("-")) + '-s.png)';
      document.getElementById("w_" + (hours+i) % 12).style.backgroundImage = bg_image ;
      document.getElementById("w_" + (hours+i) % 12).style.backgroundRepeat = 'no-repeat' ;
    }
  }
}
var day = new Array("日曜日","月曜日","火曜日","水曜日","木曜日","金曜日","土曜日");
function url1_onload() {
  if(url_flag1 == 1){
    var date = new Date();
    var hours = date.getHours();
    var doc_frame1 = document.getElementById("accuweather1").contentDocument;
    var id_detail_hourly = doc_frame1.getElementById("detail-hourly");
    var tag_div = findChild(id_detail_hourly,"DIV");
    var tag_table = findChild(tag_div,"TABLE");
    var tag_tbody = findChild(tag_table,"TBODY");
    var tag_tr = tag_tbody.getElementsByTagName("tr");
    var tag_td = tag_tr[0].getElementsByTagName("td");
    for(i=0; i<4; i++){
      var forecast_div = findChild(tag_td[i],"DIV");
      var bg_image = getComputedStyle(forecast_div, null).getPropertyValue('background-image');
      bg_image = bg_image.substring(0,bg_image.lastIndexOf("-")) + '-s.png)';
      document.getElementById("w_" + (hours+i+8) % 12).style.backgroundImage = bg_image ;
      document.getElementById("w_" + (hours+i+8) % 12).style.backgroundRepeat = 'no-repeat' ;
    }
    var id_current_city_tab = doc_frame1.getElementById("current-city-tab");
    var tag_a = findChild(id_current_city_tab,"A");
    var tag_span = findChild(tag_a,"SPAN");
    var tag_h1 = findChild(tag_span,"H1");
    document.getElementById("city").innerText = tag_h1.innerText.substring(0,tag_h1.innerText.indexOf(","));
    document.getElementById("date").innerHTML = (date.getMonth()+1) + "月" + date.getDate() + "日<br><span>(" + day[date.getDay()] + ")</span>";
    
  }
}











function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}
